
if platform?('redhat')

  r = package 'cifs-utils' do
    action :nothing
  end
  r.run_action(:install)

  r = directory '/jpmsto01fs' do
    owner 'root'
    group 'root'
    action :nothing
  end
  r.run_action(:create)

  r = mount '/jpmsto01fs' do
    device '//jpmsto01.file.core.windows.net/jpmsto01fs'
    fstype 'cifs'
    options "vers=3.0,username=jpmsto01,password=#{node['bo-bip']['azure_storagekey']},dir_mode=0777,file_mode=0777,serverino"
    action :nothing
  end
  r.run_action(:mount)
  r.run_action(:enable)

elsif platform?('windows')

  r = mount 'T:' do
    device '//jpmsto01.file.core.windows.net/jpmsto01fs'
    domain 'AZURE'
    username 'jpmsto01'
    password node['bo-bip']['azure_storagekey']
    action :nothing
  end
  r.run_action(:mount)

  include_recipe 'vcruntime::vc14'

  reboot 'reboot for vcruntime' do
    action :reboot_now
    only_if { reboot_pending? }
  end

end
