
if platform?('redhat')

  rhsm_repo 'rhel-7-server-optional-rpms' do
    action :nothing
  end

  package 'bip-deps-server-optional-rpms' do # ~FC009
    package_name %w(compat-libstdc++-33.i686 compat-libstdc++-33.x86_64)
    notifies :enable, 'rhsm_repo[rhel-7-server-optional-rpms]', :before
    flush_cache [ :before ]
  end

elsif platform?('windows')

  # Nothing

end
