# # encoding: utf-8

install_path = attribute('install_path', default: '/home/bo-bip/SapBusinessObjectsBIP', description: 'BIP install path')

describe file("#{install_path}/sap_bobj/enterprise_xi40/linux_x64/version/version.txt") do
  its('content') { should match(/^14.2.5.2853$/) }
  its('content') { should match(/^4.2 Support Pack 5 Patch 5$/) }
end

describe http('http://localhost:8080/biprws/raylight/v1/about') do
  its('status') { should cmp 200 }
  its('body') { should match(%r{<build major="14" minor="2">14.2</build>}) }
end
