# # encoding: utf-8

install_path = attribute('install_path', default: 'C:/BIP', description: 'BIP install path')

describe file("#{install_path}/SAP BusinessObjects Enterprise XI 4.0/win64_x64/version/version.txt") do
  its('content') { should match(/^14.2.5.2853\r$/) }
  its('content') { should match(/^4.2 Support Pack 5 Patch 5\r$/) }
end

username = attribute('username', default: 'vagrant', description: 'Windows username')

# Workaround for issue https://github.com/inspec/inspec/issues/2822
describe file("C:/Users/#{username}/AppData/Local/Temp/kitchen/cache/install_files/version.xml") do
  its('content') { should match(%r{<build major="14" minor="2">14.2</build>}) }
end

# describe http('http://localhost:8080/biprws/raylight/v1/about') do
#   its('status') { should cmp 200 }
#   its('body') { should match(%r{<build major="14" minor="2">14.2</build>}) }
# end
